## org.eclipse.jst.jsf.facesconfig.emf.impl
Class FacesConfigFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.FacesConfigFactoryImpl

All Implemented Interfaces:
  FacesConfigFactory

    public class FacesConfigFactoryImpl

extends EFactoryImpl
implements FacesConfigFactory

An implementation of the model Factory.

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.facesconfig.emf.FacesConfigFactory
`eINSTANCE`

Constructor Summary
`FacesConfigFactoryImpl()` Creates an instance of the factory

Method Summary
`EObject` `create(EClass eClass)`
`AbsoluteOrderingType` `createAbsoluteOrderingType()`
`ActionListenerType` `createActionListenerType()`
`ApplicationExtensionType` `createApplicationExtensionType()`
`ApplicationFactoryType` `createApplicationFactoryType()`
`ApplicationType` `createApplicationType()`
`AttributeClassType` `createAttributeClassType()`
`AttributeExtensionType` `createAttributeExtensionType()`
`AttributeNameType` `createAttributeNameType()`
`AttributeType` `createAttributeType()`
`BaseNameType` `createBaseNameType()`
`BehaviorClassType` `createBehaviorClassType()`
`BehaviorExtensionType` `createBehaviorExtensionType()`
`BehaviorIdType` `createBehaviorIdType()`
`BehaviorType` `createBehaviorType()`
`ClientBehaviorRendererClassType` `createClientBehaviorRendererClassType()`
`ClientBehaviorRendererType` `createClientBehaviorRendererType()`
`ClientBehaviorRendererTypeType` `createClientBehaviorRendererTypeType()`
`ComponentClassType` `createComponentClassType()`
`ComponentExtensionType` `createComponentExtensionType()`
`ComponentFamilyType` `createComponentFamilyType()`
`ComponentType` `createComponentType()`
`ComponentTypeType` `createComponentTypeType()`
`ConverterClassType` `createConverterClassType()`
`ConverterExtensionType` `createConverterExtensionType()`
`ConverterForClassType` `createConverterForClassType()`
`ConverterIdType` `createConverterIdType()`
`ConverterType` `createConverterType()`
`DefaultLocaleType` `createDefaultLocaleType()`
`DefaultRenderKitIdType` `createDefaultRenderKitIdType()`
`DefaultValidatorsType` `createDefaultValidatorsType()`
`DefaultValueType` `createDefaultValueType()`
`DescriptionType` `createDescriptionType()`
`DisplayNameType` `createDisplayNameType()`
`DocumentRoot` `createDocumentRoot()`
`DynamicAttribute` `createDynamicAttribute()`
`DynamicElement` `createDynamicElement()`
`ELResolverType` `createELResolverType()`
`ExceptionHandlerFactoryType` `createExceptionHandlerFactoryType()`
`ExternalContextFactoryType` `createExternalContextFactoryType()`
`FacesConfigExtensionType` `createFacesConfigExtensionType()`
`FacesConfigType` `createFacesConfigType()`
`FacesContextFactoryType` `createFacesContextFactoryType()`
`FacetExtensionType` `createFacetExtensionType()`
`FacetNameType` `createFacetNameType()`
`FacetType` `createFacetType()`
`FactoryExtensionType` `createFactoryExtensionType()`
`FactoryType` `createFactoryType()`
`FromActionType` `createFromActionType()`
`FromOutcomeType` `createFromOutcomeType()`
`FromViewIdType` `createFromViewIdType()`
`IconType` `createIconType()`
`IfType` `createIfType()`
`KeyClassType` `createKeyClassType()`
`KeyType` `createKeyType()`
`LargeIconType` `createLargeIconType()`
`LifecycleExtensionType` `createLifecycleExtensionType()`
`LifecycleFactoryType` `createLifecycleFactoryType()`
`LifecycleType` `createLifecycleType()`
`ListEntriesType` `createListEntriesType()`
`LocaleConfigType` `createLocaleConfigType()`
`ManagedBeanClassType` `createManagedBeanClassType()`
`ManagedBeanExtensionType` `createManagedBeanExtensionType()`
`ManagedBeanNameType` `createManagedBeanNameType()`
`ManagedBeanScopeType` `createManagedBeanScopeType()`
`ManagedBeanType` `createManagedBeanType()`
`ManagedPropertyType` `createManagedPropertyType()`
`MapEntriesType` `createMapEntriesType()`
`MapEntryType` `createMapEntryType()`
`MessageBundleType` `createMessageBundleType()`
`NameType` `createNameType()`
`NavigationCaseType` `createNavigationCaseType()`
`NavigationHandlerType` `createNavigationHandlerType()`
`NavigationRuleExtensionType` `createNavigationRuleExtensionType()`
`NavigationRuleType` `createNavigationRuleType()`
`NullValueType` `createNullValueType()`
`OrderingOrderingType` `createOrderingOrderingType()`
`OrderingOthersType` `createOrderingOthersType()`
`OrderingType` `createOrderingType()`
`PartialViewContextFactoryType` `createPartialViewContextFactoryType()`
`PhaseListenerType` `createPhaseListenerType()`
`PropertyClassType` `createPropertyClassType()`
`PropertyExtensionType` `createPropertyExtensionType()`
`PropertyNameType` `createPropertyNameType()`
`PropertyResolverType` `createPropertyResolverType()`
`PropertyType` `createPropertyType()`
`RedirectType` `createRedirectType()`
`RedirectViewParamType` `createRedirectViewParamType()`
`ReferencedBeanClassType` `createReferencedBeanClassType()`
`ReferencedBeanNameType` `createReferencedBeanNameType()`
`ReferencedBeanType` `createReferencedBeanType()`
`RendererClassType` `createRendererClassType()`
`RendererExtensionType` `createRendererExtensionType()`
`RendererType` `createRendererType()`
`RendererTypeType` `createRendererTypeType()`
`RenderKitClassType` `createRenderKitClassType()`
`RenderKitExtensionType` `createRenderKitExtensionType()`
`RenderKitFactoryType` `createRenderKitFactoryType()`
`RenderKitIdType` `createRenderKitIdType()`
`RenderKitType` `createRenderKitType()`
`ResourceBundleType` `createResourceBundleType()`
`ResourceHandlerType` `createResourceHandlerType()`
`SmallIconType` `createSmallIconType()`
`SourceClassType` `createSourceClassType()`
`StateManagerType` `createStateManagerType()`
`SuggestedValueType` `createSuggestedValueType()`
`SupportedLocaleType` `createSupportedLocaleType()`
`SystemEventClassType` `createSystemEventClassType()`
`SystemEventListenerClassType` `createSystemEventListenerClassType()`
`SystemEventListenerType` `createSystemEventListenerType()`
`TagHandlerDelegateFactoryType` `createTagHandlerDelegateFactoryType()`
`ToViewIdType` `createToViewIdType()`
`ValidatorClassType` `createValidatorClassType()`
`ValidatorExtensionType` `createValidatorExtensionType()`
`ValidatorIdType` `createValidatorIdType()`
`ValidatorType` `createValidatorType()`
`ValueClassType` `createValueClassType()`
`ValueType` `createValueType()`
`VariableResolverType` `createVariableResolverType()`
`VarType` `createVarType()`
`ViewDeclarationLanguageFactoryType` `createViewDeclarationLanguageFactoryType()`
`ViewHandlerType` `createViewHandlerType()`
`VisitContextFactoryType` `createVisitContextFactoryType()`
`FacesConfigPackage` `getFacesConfigPackage()`
`static FacesConfigPackage` `getPackage()` Deprecated.
`static FacesConfigFactory` `init()` Creates the default factory implementation

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### FacesConfigFactoryImpl

    public FacesConfigFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static FacesConfigFactory init()

  Creates the default factory implementation.

  Returns:
    the factory instance

### create

    public EObject create(EClass eClass)

### createAbsoluteOrderingType

    public AbsoluteOrderingType createAbsoluteOrderingType()

  Specified by:
    `createAbsoluteOrderingType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Absolute Ordering Type'.

### createActionListenerType

    public ActionListenerType createActionListenerType()

  Specified by:
    `createActionListenerType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Action Listener Type'.

### createApplicationFactoryType

    public ApplicationFactoryType createApplicationFactoryType()

  Specified by:
    `createApplicationFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Application Factory Type'.

### createApplicationType

    public ApplicationType createApplicationType()

  Specified by:
    `createApplicationType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Application Type'.

### createAttributeClassType

    public AttributeClassType createAttributeClassType()

  Specified by:
    `createAttributeClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Attribute Class Type'.

### createAttributeExtensionType

    public AttributeExtensionType createAttributeExtensionType()

  Specified by:
    `createAttributeExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Attribute Extension Type'.

### createAttributeNameType

    public AttributeNameType createAttributeNameType()

  Specified by:
    `createAttributeNameType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Attribute Name Type'.

### createAttributeType

    public AttributeType createAttributeType()

  Specified by:
    `createAttributeType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Attribute Type'.

### createBehaviorClassType

    public BehaviorClassType createBehaviorClassType()

  Specified by:
    `createBehaviorClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Behavior Class Type'.

### createBehaviorIdType

    public BehaviorIdType createBehaviorIdType()

  Specified by:
    `createBehaviorIdType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Behavior Id Type'.

### createBehaviorType

    public BehaviorType createBehaviorType()

  Specified by:
    `createBehaviorType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Behavior Type'.

### createBehaviorExtensionType

    public BehaviorExtensionType createBehaviorExtensionType()

  Specified by:
    `createBehaviorExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Behavior Extension Type'.

### createClientBehaviorRendererClassType

    public ClientBehaviorRendererClassType createClientBehaviorRendererClassType()

  Specified by:
    `createClientBehaviorRendererClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Client Behavior Renderer Class Type'.

### createClientBehaviorRendererType

    public ClientBehaviorRendererType createClientBehaviorRendererType()

  Specified by:
    `createClientBehaviorRendererType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Client Behavior Renderer Type'.

### createClientBehaviorRendererTypeType

    public ClientBehaviorRendererTypeType createClientBehaviorRendererTypeType()

  Specified by:
    `createClientBehaviorRendererTypeType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Client Behavior Renderer Type Type'.

### createComponentClassType

    public ComponentClassType createComponentClassType()

  Specified by:
    `createComponentClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Component Class Type'.

### createComponentExtensionType

    public ComponentExtensionType createComponentExtensionType()

  Specified by:
    `createComponentExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Component Extension Type'.

### createComponentFamilyType

    public ComponentFamilyType createComponentFamilyType()

  Specified by:
    `createComponentFamilyType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Component Family Type'.

### createComponentType

    public ComponentType createComponentType()

  Specified by:
    `createComponentType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Component Type'.

### createComponentTypeType

    public ComponentTypeType createComponentTypeType()

  Specified by:
    `createComponentTypeType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Component Type Type'.

### createConverterClassType

    public ConverterClassType createConverterClassType()

  Specified by:
    `createConverterClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Converter Class Type'.

### createConverterForClassType

    public ConverterForClassType createConverterForClassType()

  Specified by:
    `createConverterForClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Converter For Class Type'.

### createConverterIdType

    public ConverterIdType createConverterIdType()

  Specified by:
    `createConverterIdType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Converter Id Type'.

### createConverterType

    public ConverterType createConverterType()

  Specified by:
    `createConverterType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Converter Type'.

### createDefaultLocaleType

    public DefaultLocaleType createDefaultLocaleType()

  Specified by:
    `createDefaultLocaleType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Default Locale Type'.

### createDefaultRenderKitIdType

    public DefaultRenderKitIdType createDefaultRenderKitIdType()

  Specified by:
    `createDefaultRenderKitIdType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Default Render Kit Id Type'.

### createDefaultValidatorsType

    public DefaultValidatorsType createDefaultValidatorsType()

  Specified by:
    `createDefaultValidatorsType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Default Validators Type'.

### createDefaultValueType

    public DefaultValueType createDefaultValueType()

  Specified by:
    `createDefaultValueType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Default Value Type'.

### createDescriptionType

    public DescriptionType createDescriptionType()

  Specified by:
    `createDescriptionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Description Type'.

### createDisplayNameType

    public DisplayNameType createDisplayNameType()

  Specified by:
    `createDisplayNameType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Display Name Type'.

### createDocumentRoot

    public DocumentRoot createDocumentRoot()

  Specified by:
    `createDocumentRoot` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Document Root'.

### createDynamicAttribute

    public DynamicAttribute createDynamicAttribute()

  Specified by:
    `createDynamicAttribute` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Dynamic Attribute'.

### createDynamicElement

    public DynamicElement createDynamicElement()

  Specified by:
    `createDynamicElement` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Dynamic Element'.

### createELResolverType

    public ELResolverType createELResolverType()

  Specified by:
    `createELResolverType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'EL Resolver Type'.

### createExceptionHandlerFactoryType

    public ExceptionHandlerFactoryType createExceptionHandlerFactoryType()

  Specified by:
    `createExceptionHandlerFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Exception Handler Factory Type'.

### createExternalContextFactoryType

    public ExternalContextFactoryType createExternalContextFactoryType()

  Specified by:
    `createExternalContextFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'External Context Factory Type'.

### createFacesConfigType

    public FacesConfigType createFacesConfigType()

  Specified by:
    `createFacesConfigType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Type'.

### createFacesContextFactoryType

    public FacesContextFactoryType createFacesContextFactoryType()

  Specified by:
    `createFacesContextFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Faces Context Factory Type'.

### createFacetExtensionType

    public FacetExtensionType createFacetExtensionType()

  Specified by:
    `createFacetExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Facet Extension Type'.

### createFacetNameType

    public FacetNameType createFacetNameType()

  Specified by:
    `createFacetNameType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Facet Name Type'.

### createFacetType

    public FacetType createFacetType()

  Specified by:
    `createFacetType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Facet Type'.

### createFactoryType

    public FactoryType createFactoryType()

  Specified by:
    `createFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Factory Type'.

### createFromActionType

    public FromActionType createFromActionType()

  Specified by:
    `createFromActionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'From Action Type'.

### createFromOutcomeType

    public FromOutcomeType createFromOutcomeType()

  Specified by:
    `createFromOutcomeType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'From Outcome Type'.

### createFromViewIdType

    public FromViewIdType createFromViewIdType()

  Specified by:
    `createFromViewIdType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'From View Id Type'.

### createIconType

    public IconType createIconType()

  Specified by:
    `createIconType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Icon Type'.

### createIfType

    public IfType createIfType()

  Specified by:
    `createIfType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'If Type'.

### createKeyClassType

    public KeyClassType createKeyClassType()

  Specified by:
    `createKeyClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Key Class Type'.

### createKeyType

    public KeyType createKeyType()

  Specified by:
    `createKeyType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Key Type'.

### createLargeIconType

    public LargeIconType createLargeIconType()

  Specified by:
    `createLargeIconType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Large Icon Type'.

### createLifecycleFactoryType

    public LifecycleFactoryType createLifecycleFactoryType()

  Specified by:
    `createLifecycleFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Lifecycle Factory Type'.

### createLifecycleType

    public LifecycleType createLifecycleType()

  Specified by:
    `createLifecycleType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Lifecycle Type'.

### createListEntriesType

    public ListEntriesType createListEntriesType()

  Specified by:
    `createListEntriesType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'List Entries Type'.

### createLocaleConfigType

    public LocaleConfigType createLocaleConfigType()

  Specified by:
    `createLocaleConfigType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Locale Config Type'.

### createManagedBeanClassType

    public ManagedBeanClassType createManagedBeanClassType()

  Specified by:
    `createManagedBeanClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Managed Bean Class Type'.

### createManagedBeanNameType

    public ManagedBeanNameType createManagedBeanNameType()

  Specified by:
    `createManagedBeanNameType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Managed Bean Name Type'.

### createManagedBeanScopeType

    public ManagedBeanScopeType createManagedBeanScopeType()

  Specified by:
    `createManagedBeanScopeType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Managed Bean Scope Type'.

### createManagedBeanType

    public ManagedBeanType createManagedBeanType()

  Specified by:
    `createManagedBeanType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Managed Bean Type'.

### createManagedPropertyType

    public ManagedPropertyType createManagedPropertyType()

  Specified by:
    `createManagedPropertyType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Managed Property Type'.

### createMapEntriesType

    public MapEntriesType createMapEntriesType()

  Specified by:
    `createMapEntriesType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Map Entries Type'.

### createMapEntryType

    public MapEntryType createMapEntryType()

  Specified by:
    `createMapEntryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Map Entry Type'.

### createMessageBundleType

    public MessageBundleType createMessageBundleType()

  Specified by:
    `createMessageBundleType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Message Bundle Type'.

### createNameType

    public NameType createNameType()

  Specified by:
    `createNameType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Name Type'.

### createNavigationCaseType

    public NavigationCaseType createNavigationCaseType()

  Specified by:
    `createNavigationCaseType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Navigation Case Type'.

### createNavigationHandlerType

    public NavigationHandlerType createNavigationHandlerType()

  Specified by:
    `createNavigationHandlerType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Navigation Handler Type'.

### createNavigationRuleType

    public NavigationRuleType createNavigationRuleType()

  Specified by:
    `createNavigationRuleType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Navigation Rule Type'.

### createNullValueType

    public NullValueType createNullValueType()

  Specified by:
    `createNullValueType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Null Value Type'.

### createOrderingType

    public OrderingType createOrderingType()

  Specified by:
    `createOrderingType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Ordering Type'.

### createOrderingOrderingType

    public OrderingOrderingType createOrderingOrderingType()

  Specified by:
    `createOrderingOrderingType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Ordering Ordering Type'.

### createOrderingOthersType

    public OrderingOthersType createOrderingOthersType()

  Specified by:
    `createOrderingOthersType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Ordering Others Type'.

### createPartialViewContextFactoryType

    public PartialViewContextFactoryType createPartialViewContextFactoryType()

  Specified by:
    `createPartialViewContextFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Partial View Context Factory Type'.

### createPhaseListenerType

    public PhaseListenerType createPhaseListenerType()

  Specified by:
    `createPhaseListenerType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Phase Listener Type'.

### createPropertyClassType

    public PropertyClassType createPropertyClassType()

  Specified by:
    `createPropertyClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Property Class Type'.

### createPropertyExtensionType

    public PropertyExtensionType createPropertyExtensionType()

  Specified by:
    `createPropertyExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Property Extension Type'.

### createPropertyNameType

    public PropertyNameType createPropertyNameType()

  Specified by:
    `createPropertyNameType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Property Name Type'.

### createPropertyResolverType

    public PropertyResolverType createPropertyResolverType()

  Specified by:
    `createPropertyResolverType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Property Resolver Type'.

### createPropertyType

    public PropertyType createPropertyType()

  Specified by:
    `createPropertyType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Property Type'.

### createRedirectType

    public RedirectType createRedirectType()

  Specified by:
    `createRedirectType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Redirect Type'.

### createRedirectViewParamType

    public RedirectViewParamType createRedirectViewParamType()

  Specified by:
    `createRedirectViewParamType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Redirect View Param Type'.

### createReferencedBeanClassType

    public ReferencedBeanClassType createReferencedBeanClassType()

  Specified by:
    `createReferencedBeanClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Referenced Bean Class Type'.

### createReferencedBeanNameType

    public ReferencedBeanNameType createReferencedBeanNameType()

  Specified by:
    `createReferencedBeanNameType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Referenced Bean Name Type'.

### createReferencedBeanType

    public ReferencedBeanType createReferencedBeanType()

  Specified by:
    `createReferencedBeanType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Referenced Bean Type'.

### createRendererClassType

    public RendererClassType createRendererClassType()

  Specified by:
    `createRendererClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Renderer Class Type'.

### createRendererExtensionType

    public RendererExtensionType createRendererExtensionType()

  Specified by:
    `createRendererExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Renderer Extension Type'.

### createRendererType

    public RendererType createRendererType()

  Specified by:
    `createRendererType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Renderer Type'.

### createRendererTypeType

    public RendererTypeType createRendererTypeType()

  Specified by:
    `createRendererTypeType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Renderer Type Type'.

### createRenderKitClassType

    public RenderKitClassType createRenderKitClassType()

  Specified by:
    `createRenderKitClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Render Kit Class Type'.

### createRenderKitFactoryType

    public RenderKitFactoryType createRenderKitFactoryType()

  Specified by:
    `createRenderKitFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Render Kit Factory Type'.

### createRenderKitIdType

    public RenderKitIdType createRenderKitIdType()

  Specified by:
    `createRenderKitIdType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Render Kit Id Type'.

### createRenderKitType

    public RenderKitType createRenderKitType()

  Specified by:
    `createRenderKitType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Render Kit Type'.

### createSmallIconType

    public SmallIconType createSmallIconType()

  Specified by:
    `createSmallIconType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Small Icon Type'.

### createSourceClassType

    public SourceClassType createSourceClassType()

  Specified by:
    `createSourceClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Source Class Type'.

### createStateManagerType

    public StateManagerType createStateManagerType()

  Specified by:
    `createStateManagerType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'State Manager Type'.

### createSuggestedValueType

    public SuggestedValueType createSuggestedValueType()

  Specified by:
    `createSuggestedValueType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Suggested Value Type'.

### createSupportedLocaleType

    public SupportedLocaleType createSupportedLocaleType()

  Specified by:
    `createSupportedLocaleType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Supported Locale Type'.

### createSystemEventClassType

    public SystemEventClassType createSystemEventClassType()

  Specified by:
    `createSystemEventClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'System Event Class Type'.

### createSystemEventListenerClassType

    public SystemEventListenerClassType createSystemEventListenerClassType()

  Specified by:
    `createSystemEventListenerClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'System Event Listener Class Type'.

### createSystemEventListenerType

    public SystemEventListenerType createSystemEventListenerType()

  Specified by:
    `createSystemEventListenerType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'System Event Listener Type'.

### createTagHandlerDelegateFactoryType

    public TagHandlerDelegateFactoryType createTagHandlerDelegateFactoryType()

  Specified by:
    `createTagHandlerDelegateFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Tag Handler Delegate Factory Type'.

### createToViewIdType

    public ToViewIdType createToViewIdType()

  Specified by:
    `createToViewIdType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'To View Id Type'.

### createValidatorClassType

    public ValidatorClassType createValidatorClassType()

  Specified by:
    `createValidatorClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Validator Class Type'.

### createValidatorIdType

    public ValidatorIdType createValidatorIdType()

  Specified by:
    `createValidatorIdType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Validator Id Type'.

### createValidatorType

    public ValidatorType createValidatorType()

  Specified by:
    `createValidatorType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Validator Type'.

### createValueClassType

    public ValueClassType createValueClassType()

  Specified by:
    `createValueClassType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Value Class Type'.

### createValueType

    public ValueType createValueType()

  Specified by:
    `createValueType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Value Type'.

### createVariableResolverType

    public VariableResolverType createVariableResolverType()

  Specified by:
    `createVariableResolverType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Variable Resolver Type'.

### createViewHandlerType

    public ViewHandlerType createViewHandlerType()

  Specified by:
    `createViewHandlerType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'View Handler Type'.

### createApplicationExtensionType

    public ApplicationExtensionType createApplicationExtensionType()

  Specified by:
    `createApplicationExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Application Extension Type'.

### createResourceBundleType

    public ResourceBundleType createResourceBundleType()

  Specified by:
    `createResourceBundleType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Resource Bundle Type'.

### createBaseNameType

    public BaseNameType createBaseNameType()

  Specified by:
    `createBaseNameType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Base Name Type'.

### createVarType

    public VarType createVarType()

  Specified by:
    `createVarType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Var Type'.

### createViewDeclarationLanguageFactoryType

    public ViewDeclarationLanguageFactoryType createViewDeclarationLanguageFactoryType()

  Specified by:
    `createViewDeclarationLanguageFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'View Declaration Language Factory Type'.

### createVisitContextFactoryType

    public VisitContextFactoryType createVisitContextFactoryType()

  Specified by:
    `createVisitContextFactoryType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Visit Context Factory Type'.

### createRenderKitExtensionType

    public RenderKitExtensionType createRenderKitExtensionType()

  Specified by:
    `createRenderKitExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Render Kit Extension Type'.

### createResourceHandlerType

    public ResourceHandlerType createResourceHandlerType()

  Specified by:
    `createResourceHandlerType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Resource Handler Type'.

### createNavigationRuleExtensionType

    public NavigationRuleExtensionType createNavigationRuleExtensionType()

  Specified by:
    `createNavigationRuleExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Navigation Rule Extension Type'.

### createValidatorExtensionType

    public ValidatorExtensionType createValidatorExtensionType()

  Specified by:
    `createValidatorExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Validator Extension Type'.

### createFacesConfigExtensionType

    public FacesConfigExtensionType createFacesConfigExtensionType()

  Specified by:
    `createFacesConfigExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Extension Type'.

### createFactoryExtensionType

    public FactoryExtensionType createFactoryExtensionType()

  Specified by:
    `createFactoryExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Factory Extension Type'.

### createLifecycleExtensionType

    public LifecycleExtensionType createLifecycleExtensionType()

  Specified by:
    `createLifecycleExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Lifecycle Extension Type'.

### createManagedBeanExtensionType

    public ManagedBeanExtensionType createManagedBeanExtensionType()

  Specified by:
    `createManagedBeanExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Managed Bean Extension Type'.

### createConverterExtensionType

    public ConverterExtensionType createConverterExtensionType()

  Specified by:
    `createConverterExtensionType` in interface `FacesConfigFactory`
  Returns:
    a new object of class 'Converter Extension Type'.

### getFacesConfigPackage

    public FacesConfigPackage getFacesConfigPackage()

  Specified by:
    `getFacesConfigPackage` in interface `FacesConfigFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static FacesConfigPackage getPackage()

  Deprecated.

  Returns:
    the package